%define name    hydrogen
%define srcver	0.9.6
%define release	%mkrel 1

%define summary	Advanced drum machine for GNU Linux

Summary:	%{summary}
Name:		%{name}
Version:	%{srcver}.0
Release:	%{release}
License:	GPLv2+
Group:		Sound
URL:		http://www.hydrogen-music.org
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{srcver}.tar.xz
BuildRoot:	%_tmppath/%{name}-buildroot
BuildRequires:  cmake
BuildRequires:  cppunit-devel
BuildRequires:  doxygen
BuildRequires:  ladspa-devel
BuildRequires:  lash-devel
BuildRequires:	libalsa-devel
BuildRequires:  libalsa-oss-devel
BuildRequires:  libaudiofile-devel
BuildRequires:  libflac-devel
BuildRequires:  libflac++-devel
BuildRequires:	libjack-devel
BuildRequires:  libjpeg-devel
BuildRequires:  liblrdf-devel
BuildRequires:	libpng-devel
BuildRequires:  libqt4-devel 
BuildRequires:  libsndfile-devel
BuildRequires:  libtar-devel
BuildRequires:  portmidi-devel
BuildRequires:  raptor-devel
BuildRequires:  rubberband-devel
Requires:	task-qt4

%description
Hydrogen is an advanced drum machine for GNU/Linux. It's main goal is to bring
professional yet simple and intuitive pattern-based drum programming.


%prep
%setup -qn %{name}-%{srcver}

%build

LDFLAGS="-pthread -lz"
%cmake_qt4
make
%install
rm -rf %buildroot
%makeinstall_std -C build

perl -pi -e 's,h2-icon,%{name}.png,g' %buildroot%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor="" \
	--remove-category="Application" \
        --remove-category="Sound" \
	--add-category="X-MandrivaLinux-Multimedia-Sound" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icons
%__mkdir_p %buildroot%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
install -m 0644 data/img/gray/icon48.png %buildroot%_iconsdir/hicolor/48x48/apps/%{name}.png
install -m 0644 data/img/gray/icon32.png %buildroot%_iconsdir/hicolor/32x32/apps/%{name}.png
install -m 0644 data/img/gray/icon16.png %buildroot%_iconsdir/hicolor/16x16/apps/%{name}.png

mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 data/img/gray/icon48.png %{buildroot}%_liconsdir/%{name}.png
install -m 0644 data/img/gray/icon32.png %{buildroot}%_iconsdir/%{name}.png
install -m 0644 data/img/gray/icon16.png %{buildroot}%_miconsdir/%{name}.png

#dont need development files in main package
rm -rf %buildroot%{_includedir}/%{name}


%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%_liconsdir/%{name}.png
%_iconsdir/%{name}.png
%_miconsdir/%{name}.png
%{_libdir}/libhydrogen-core-0.9.6.so

%changelog
* Sun Nov 09 2014 gseaman <galen.seaman at comcast.net> 0.9.6-1gseaman2014
- 0.9.6

* Wed Apr 30 2014 bb <bb> 0.9.6.beta2-2pclos2014
- rebuild against updated libs

* Tue Oct 23 2012 Ken <lxgator at gmail.com> 0.9.6.beta2-1pclos2012
- 0.9.6.beta2

* Tue Apr 10 2012 Neal <nealbrks0 at gmail.com> 0.9.5-1pclos2012
- process for 32bit

* Sun Nov 20 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 0.9.5-1_archie_2011
- Update

* Tue Jun 09 2009 pcserver <pcserver@hushmail.com> 0.9.4-rc1pclos2009
- create

